<?php 



class DaoDepoimentos extends conexao {

public function Atualizar(depoimentos $depoimentos) {

try {

if ($depoimentos->getDep_id() != '') {

$sql = " UPDATE depoimentos SET
dep_texto = ?,
dep_pessoa = ?,
dep_cargo = ?
WHERE dep_id = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $depoimentos->getDep_texto());
$stmt->bindValue(2, $depoimentos->getDep_pessoa());
$stmt->bindValue(3, $depoimentos->getDep_cargo());
$stmt->bindValue(4, $depoimentos->getdep_id());


} else {

$sql = " INSERT INTO depoimentos (dep_texto,dep_pessoa,dep_cargo)
VALUES (?,?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $depoimentos->getDep_texto());
$stmt->bindValue(2, $depoimentos->getDep_pessoa());
$stmt->bindValue(3, $depoimentos->getDep_cargo());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function Pesquisardepoimentos($codigo){
$sql = " SELECT * FROM depoimentos WHERE dep_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function Listardepoimentos(){
$sql = " SELECT * FROM depoimentos ORDER BY dep_id ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}



	
public function deletar($vid_id){		
$sql = " DELETE FROM depoimentos WHERE dep_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $vid_id); 
$stmt->execute();
}

 
}
